using System;

namespace Baza_Reklam.Classes.Model
{
    public class AdIssue
    {
        private int _id;
        private int _reklamaId;
        private int _nrWydania;
        private int _status;
        private bool _zafakturowana;
        private int _idFaktury;
        private DateTime _dataDodania;
        private DateTime _dataAnulowania;
        private decimal _netto;
        private bool _doDruku;
        private AdLocation _lokalizacja;
        private NavigationColumn _dzial;
        private NavigationSubColumn _rozdzial;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public int ReklamaId
        {
            get { return _reklamaId; }
            set { _reklamaId = value; }
        }

        public int NrWydania
        {
            get { return _nrWydania; }
            set { _nrWydania = value; }
        }

        public int Status
        {
            get { return _status; }
            set { _status = value; }
        }

        public bool Zafakturowana
        {
            get { return _zafakturowana; }
            set { _zafakturowana = value; }
        }

        public int IdFaktury
        {
            get { return _idFaktury; }
            set { _idFaktury = value; }
        }

        public DateTime DataDodania
        {
            get { return _dataDodania; }
            set { _dataDodania = value; }
        }

        public DateTime DataAnulowania
        {
            get { return _dataAnulowania; }
            set { _dataAnulowania = value; }
        }

        public decimal Netto
        {
            get { return _netto; }
            set { _netto = value; }
        }

        public bool DoDruku
        {
            get { return _doDruku; }
            set { _doDruku = value; }
        }

        public AdLocation Lokalizacja
        {
            get { return _lokalizacja; }
            set { _lokalizacja = value; }
        }

        public NavigationColumn Dzial
        {
            get { return _dzial; }
            set { _dzial = value; }
        }

        public NavigationSubColumn Rozdzial
        {
            get { return _rozdzial; }
            set { _rozdzial = value; }
        }
    }
}
